Failed Dependencieslibc.so.6(GLIBC_2.3.4) - Redhat

This is a discussion on Failed Dependencieslibc.so.6(GLIBC_2.3.4) - Redhat ; I am trying to install Net-SNMP on my RedHat Machine. While installing I got Failed Dependency message for beecrypt. I downloaded the same and tried installing that. Now I am getting Failed Dependencies message as shown below. What should I ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: Failed Dependencieslibc.so.6(GLIBC_2.3.4)

  1. Failed Dependencieslibc.so.6(GLIBC_2.3.4)

    I am trying to install Net-SNMP on my RedHat Machine.

    While installing I got Failed Dependency message for beecrypt. I
    downloaded the same and tried installing that. Now I am getting Failed
    Dependencies message as shown below. What should I do.

    rpm -ivh beecrypt-4.1.2-8.i386.rpm
    warning: beecrypt-4.1.2-8.i386.rpm: V3 DSA signature: NOKEY, key ID
    9b3c94f4
    error: Failed dependencies:
    libc.so.6(GLIBC_2.3.4) is needed by beecrypt-4.1.2-8
    libstdc++.so.6 is needed by beecrypt-4.1.2-8
    libstdc++.so.6(CXXABI_1.3) is needed by beecrypt-4.1.2-8
    libstdc++.so.6(GLIBCXX_3.4) is needed by beecrypt-4.1.2-8


    I am not able to get lib.so.6(GLIBC 2.3.4)

  2. Re: Failed Dependencieslibc.so.6(GLIBC_2.3.4)

    In news:e7807f8f-5ee4-46ab-a1eb-27cf2b0a60af@d45g2000hsc.googlegroups.com,
    Rick typed:

    > While installing I got Failed Dependency message for beecrypt. I
    > downloaded the same and tried installing that. Now I am getting Failed
    > Dependencies message as shown below. What should I do.


    Use a package manager such as yum or apt. These will resolve the
    dependencies for you, as long as they have access to the repositories where
    the dependencies reside. The man pages will provide more information.



  3. Re: Failed Dependencieslibc.so.6(GLIBC_2.3.4)

    Rick wrote:
    > I am trying to install Net-SNMP on my RedHat Machine.
    >
    > While installing I got Failed Dependency message for beecrypt. I
    > downloaded the same and tried installing that. Now I am getting Failed
    > Dependencies message as shown below. What should I do.
    >
    > rpm -ivh beecrypt-4.1.2-8.i386.rpm
    > warning: beecrypt-4.1.2-8.i386.rpm: V3 DSA signature: NOKEY, key ID
    > 9b3c94f4
    > error: Failed dependencies:
    > libc.so.6(GLIBC_2.3.4) is needed by beecrypt-4.1.2-8
    > libstdc++.so.6 is needed by beecrypt-4.1.2-8
    > libstdc++.so.6(CXXABI_1.3) is needed by beecrypt-4.1.2-8
    > libstdc++.so.6(GLIBCXX_3.4) is needed by beecrypt-4.1.2-8


    yum -y install beecrypt*

    If your version does not have yum upgrade to one that does. Dependency hell is
    a thing of the past.

    --
    As Jewish citizens of Israel owe their first allegiance to non-Jewish
    citizens of Israel, not foreign Jews, else they are disloyal to Israel.
    -- The Iron Webmaster, 3054
    http://www.giwersworld.org/disinfo/occupied-2.phtml a6

  4. Re: Failed Dependencieslibc.so.6(GLIBC_2.3.4)

    Rick wrote:
    > I am trying to install Net-SNMP on my RedHat Machine.
    >
    > While installing I got Failed Dependency message for beecrypt. I
    > downloaded the same and tried installing that. Now I am getting Failed
    > Dependencies message as shown below. What should I do.
    >
    > rpm -ivh beecrypt-4.1.2-8.i386.rpm
    > warning: beecrypt-4.1.2-8.i386.rpm: V3 DSA signature: NOKEY, key ID
    > 9b3c94f4
    > error: Failed dependencies:
    > libc.so.6(GLIBC_2.3.4) is needed by beecrypt-4.1.2-8
    > libstdc++.so.6 is needed by beecrypt-4.1.2-8
    > libstdc++.so.6(CXXABI_1.3) is needed by beecrypt-4.1.2-8
    > libstdc++.so.6(GLIBCXX_3.4) is needed by beecrypt-4.1.2-8
    >
    >
    > I am not able to get lib.so.6(GLIBC 2.3.4)


    I suspect that your beecrypt RPM is from a different RedHat distribution. What
    libc.co.* files do you have installed?

+ Reply to Thread